Package org.apache.synapse.securevault.definition

# Class IdentityKeyStoreInformation

java.lang.Object
org.apache.synapse.securevault.definition.KeyStoreInformation
org.apache.synapse.securevault.definition.IdentityKeyStoreInformation

public class IdentityKeyStoreInformation extends KeyStoreInformation
Represents the abstraction private key entry store (identity) information

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.securevault.definition.KeyStoreInformation

  `ENABLE_HOST_NAME_VERIFIER, KEY_STORE_CERTIFICATE_FILE_PATH, log`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentityKeyStoreInformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KeyManagerFactory`
  `getIdentityKeyManagerFactoryInstance()`
  Returns the IdentityKeyManagerFactory instance
  `KeyStore`
  `getIdentityKeyStore()`
  Returns a KeyStore instance that has been created from identity keystore
  `SecretInformation`
  `getKeyPasswordProvider()`
  `void`
  `setKeyPasswordProvider(SecretInformation keyPasswordProvider)`

  ### Methods inherited from class org.apache.synapse.securevault.definition.KeyStoreInformation

  `addParameter, getAlias, getKeyStore, getKeyStorePasswordProvider, getLocation, getParameter, getProvider, handleException, handleException, setAlias, setKeyStorePasswordProvider, setLocation, setProvider, setStoreType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdentityKeyStoreInformation

    public IdentityKeyStoreInformation()

- ## Method Details

  - ### setKeyPasswordProvider

    public void setKeyPasswordProvider(SecretInformation keyPasswordProvider)

  - ### getIdentityKeyManagerFactoryInstance

    public KeyManagerFactory getIdentityKeyManagerFactoryInstance()
    Returns the IdentityKeyManagerFactory instance
    Returns:
      IdentityKeyManagerFactory instance

  - ### getIdentityKeyStore

    public KeyStore getIdentityKeyStore()
    Returns a KeyStore instance that has been created from identity keystore
    Returns:
      KeyStore Instance

  - ### getKeyPasswordProvider

    public SecretInformation getKeyPasswordProvider()